package com.bcxin.ars.enums;

/**
 * @author linqinglin
 * @date 2019/04/10 0010 16:08
 */
public enum FileType {

    //RECEIPT回执单 、NOTICE通知书

    RECEIPT_005{
        @Override
        public String getBusinessType(){return "005";}
        @Override
        public String getFileName(){return "外省市保安企业在京提供保安服务备案回执单.docx";}
        @Override
        public String getTypeName(){return "回执单";}
    },
    RECEIPT_006{
        @Override
        public String getBusinessType(){return "006";}
        @Override
        public String getFileName(){return "自行招用保安单位备案回执单.docx";}
        @Override
        public String getTypeName(){return "回执单";}
    },
    RECEIPT_007{
        @Override
        public String getBusinessType(){return "007";}
        @Override
        public String getFileName(){return "保安管理备案回执单.docx";}
        @Override
        public String getTypeName(){return "回执单";}
    },
    NOTICE_010{
        @Override
        public String getBusinessType(){return "010";}
        @Override
        public String getFileName(){return "自行招用保安单位撤销备案通知书.docx";}
        @Override
        public String getTypeName(){return "通知书";}
    };


    public abstract String getBusinessType();

    public abstract String getFileName();

    public abstract String getTypeName();

}
